=== apbs/tools/python/Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# tools/python/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/apbs
pkgincludedir = $(includedir)/apbs
pkglibdir = $(libdir)/apbs
pkglibexecdir = $(libexecdir)/apbs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
noinst_PROGRAMS = _apbslib.so$(EXEEXT)
subdir = tools/python
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/aaa_inc/apbscfg.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am__apbslib_so_OBJECTS = apbslib.$(OBJEXT)
_apbslib_so_OBJECTS = $(am__apbslib_so_OBJECTS)
am__DEPENDENCIES_1 =
_apbslib_so_DEPENDENCIES =  \
	${top_builddir}/bin/.libs/libapbsmainroutines.a \
	${top_builddir}/src/aaa_lib/.libs/libapbs.a \
	${top_builddir}/contrib/lib/libmaloc.a \
	${top_builddir}/contrib/blas/.libs/libapbsblas.a \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src/aaa_inc
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(_apbslib_so_SOURCES)
DIST_SOURCES = $(_apbslib_so_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = :
AMTAR = $${TAR-tar}
APBS_VERSION = 1:3
AR = ar
AUTOCONF = :
AUTOHEADER = :
AUTOMAKE = :
AWK = mawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -O2 -fopenmp
CPP = gcc -E
CPPFLAGS = -I
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lreadline 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /data/work/subversion/apbs-checkout/trunk/config/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = apbs
PACKAGE_BUGREPORT = baker@biochem.wustl.edu
PACKAGE_NAME = APBS
PACKAGE_STRING = APBS 1.3
PACKAGE_TARNAME = apbs
PACKAGE_URL = 
PACKAGE_VERSION = 1.3
PATH_SEPARATOR = :
PY_CC = 
PY_CFLAGS = 
PY_LDFLAGS = 
PY_LINKFLAGS = 
PY_SHARED = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SITEPKGS = /home/d3x874/apbs/lib/python2.7/site-packages
STRIP = strip
VERSION = 1.3
abs_builddir = /data/work/subversion/apbs-checkout/trunk/tools/python
abs_srcdir = /data/work/subversion/apbs-checkout/trunk/tools/python
abs_top_builddir = /data/work/subversion/apbs-checkout/trunk
abs_top_srcdir = /data/work/subversion/apbs-checkout/trunk
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
apbs_build_libraries = /data/work/subversion/apbs-checkout/trunk/bin/libapbsmainroutines.la 			/data/work/subversion/apbs-checkout/trunk/src/aaa_lib/libapbs.la 			-L/data/work/subversion/apbs-checkout/trunk/contrib/lib -lmaloc                    -lm              -L/data/work/subversion/apbs-checkout/trunk/contrib/zlib/ -lz   
apbs_do_maloc = maloc
apbs_do_python = 
apbs_do_tools = tools
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
contrib_path = /data/work/subversion/apbs-checkout/trunk/contrib
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
efence_lib = 
exec_prefix = ${prefix}
fetk_cpu_vendor_os = 
gamer_lib = 
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
inc_list = -I. -I/data/work/subversion/apbs-checkout/trunk/contrib/include   
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /data/work/subversion/apbs-checkout/trunk/config/install-sh
lib_list =                    -lm              -L/data/work/subversion/apbs-checkout/trunk/contrib/zlib/ -lz   
libdir = ${exec_prefix}/lib
liberty_lib = 
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
maloc_inc = -I/data/work/subversion/apbs-checkout/trunk/contrib/include
maloc_lib = -L/data/work/subversion/apbs-checkout/trunk/contrib/lib -lmaloc
mandir = ${datarootdir}/man
math_lib = -lm
mc_lib = 
mcx_lib = 
mkdir_p = /bin/mkdir -p
mpi_inc = 
mpi_lib = 
nsl_lib = 
oldincludedir = /usr/include
pdfdir = ${docdir}
pedantic_ansi = 
prefix = /home/d3x874/apbs
program_transform_name = s,x,x,
psdir = ${docdir}
py_path = /usr/bin/python
readline_lib =  -lreadline  -lvf2c    -lm
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
socket_lib = 
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
thread_lib = 
top_apbsdir = /data/work/subversion/apbs-checkout/trunk
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wall = 
wall_pedantic = 
wall_pedantic_ansi = 
z_lib = -L/data/work/subversion/apbs-checkout/trunk/contrib/zlib/ -lz
zlib = zlib
AUTOMAKE_OPTIONS = no-dependencies
SUFFIXES = .c .C .o .so
INCLUDES = -I. -I/data/work/subversion/apbs-checkout/trunk/contrib/include    $(PY_CFLAGS) -I${top_srcdir}/bin 
CCLD = $(PY_CC)
CLEANFILES = _apbslib.so
SUBDIRS = vgrid 
_apbslib_so_SOURCES = apbslib.c
_apbslib_so_LINK = $(PY_CC) $(CFLAGS) $(PY_LINKFLAGS) -o $@ $(PY_SHARED)
_apbslib_so_LDADD = ${top_builddir}/bin/.libs/libapbsmainroutines.a ${top_builddir}/src/aaa_lib/.libs/libapbs.a ${top_builddir}/contrib/lib/libmaloc.a ${top_builddir}/contrib/blas/.libs/libapbsblas.a $(PY_LDFLAGS) ${z_lib} 
all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .C .o .so .lo .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tools/python/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tools/python/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
_apbslib.so$(EXEEXT): $(_apbslib_so_OBJECTS) $(_apbslib_so_DEPENDENCIES) $(EXTRA__apbslib_so_DEPENDENCIES) 
	@rm -f _apbslib.so$(EXEEXT)
	$(_apbslib_so_LINK) $(_apbslib_so_OBJECTS) $(_apbslib_so_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
