=== debian/changelog ===
apbs (3.0.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * use -fcommon in CFLAGS to aid build with gcc-10
    (managing multiple definitions of common variables).
    Closes: #956998.
  * provide python path to inputgen for build-time tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 Jul 2020 17:35:23 +0800

apbs (3.0.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * reinstate debian patch python3.patch
    (to specify python executable as python3)

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Jun 2020 03:37:37 +0800

apbs (3.0.0+dfsg1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - now supports Python 3. Drop debian patch python3.patch.
    - bump to soname 3 (provide libapbs3)
  * update debian/watch to catch new releases
  * debhelper compatibility level 13
  * update debian/not-installed for unused files installed by build
    system
  * lintian lib overrides moved to libapbs3.lintian-overrides
  * mark libapbs-dev and libapbs3 Multi-Arch: same,
    apbs-data Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Thu, 18 Jun 2020 16:05:52 +0800

apbs (1.5+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * python3.patch, wrong-path-for-interpreter.patch: use python3 as
    python executable for tests and scripts, fix print statements

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Apr 2020 12:05:58 +0800

apbs (1.5+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Split package into component packages supporting shared libraries
    and python module: libapbs-dev, libapbs1, python3-apbslib.
    Python 3 support Closes: #936124
  * debian patch link_libapbs_routines.patch links libapbs_routines
    to libapbs_generic and libapbs_mg (providing internal symbols)
  * debian/not-installed marks components of usr/share/apbs/tools
    which are deliberately not installed (matlab, windows, osx, etc)

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Mar 2020 12:08:59 +0800

apbs (1.5+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Daniel Leidert ]
  * debian/apbs-data.install: Fix brace-expansion-in-debhelper-config-file.
  * debian/compat: Increase dh level to 12.
  * debian/copyright: Minor update. Use HTTPS. Fix license short name.
  * debian/rules: Fix debian-rules-uses-unnecessary-dh-argument.
    (override_dh_install): Remove deprecated options. Make scripts executable.
  * debian/patches/debian_testfiles.patch (Description): Fix typo.
  * debian/patches/wrong-path-for-interpreter.patch: Added.
    - Fix wrong-path-for-interpreter in examples/protein-rna/apbs_unix_dx.py.
  * debian/patches/series: Adjusted.
  * debian/upstream: Rename to debian/upstream/metadata. Use HTTPS.

  [ Drew Parsons ]
  * update Homepage to http://www.poissonboltzmann.org/
  * update debian/watch to track https://github.com/Electrostatics/apbs-pdb2pqr
  * exclude pdb2pqr from source tarball (reversion with +dfsg1) since
    pdb2pqr is currently packaged separately.
  * New upstream release (+dfsg1 excluding pdb2pqr).
  * provide binary mesh tools in /usr/lib/apbs/tools/bin (linked from share)
  * activate Python support (uses shared libs)
  * add debian patches
    - shared_library_soname.patch assigns a soversion to shared libs
    - use major version as soname (until ABI proves unstable in the
      minor version). Requires cmake policy to set CMP0048 as NEW.
    - python3.patch enables tests to run in python3
  * modernize debhelper compatibility with
    Build-Depends: debhelper-compat (= 12)
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Mar 2020 23:54:29 +0800

apbs (1.4.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/debian_testfiles.patch: Updated.
  * debian/patches/debian_testfiles.patch: Remove geoflow testcase, no longer
    working.
  * debian/patches/debian_testfiles.patch: Include test_cases.cfg in binary
    package.
  * debian/control (Build-Depends): Added swig3.0.
  * debian/rules (override_dh_auto_configure): Removed -DBUILD_SHARED_LIBS and 
    switched -DENABLE_PYTHON to Off.
  * debian/patches/debian_testfiles.patch: Add /usr/share/apbs/tools/manip/ to
    python search path.
  * debian/tests/control: Added needs-root to system-wide test.
  * debian/patches/debian_make.patch: Updated.
  * debian/gitlab-ci.yml: New file.

 -- Michael Banck <mbanck@debian.org>  Fri, 19 Jul 2019 21:20:55 -0300

apbs (1.4-2) UNRELEASED; urgency=medium

  * Team upload.
  * fix spelling-error-in-binary lintian warnings
  * add debian/tests/control for autopkgtest
  * cme fix dpkg-control
  * update debhelper to >= 9
  * fix hardening-no-pie and hardening-no-bindnow lintian warnings
  * make debian/copyright machine-readable and check with
    "cme fix dpkg-copyright"
  * split to apbs and apbs-data, install examples/ and tests/ to apbs-data
  * fix script-not-executable lintian warnings
  * add allow-stderr restriction to debian/tests/control
  * add tests to debian/tests/control to check the same test when installed,
    install tools/manip/ to /usr/share/apbs (this is used with tests/)
  * add debian/README.test and debian/docs

 -- Tatiana Malygina <merlettaia@gmail.com>  Wed, 03 Aug 2016 16:46:10 +0300
