=== debian/control ===
Source: apbs
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               libmaloc-dev,
               mpi-default-dev,
               python3,
               python3-dev,
               python3-setuptools,
               swig,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debichem-team/apbs
Vcs-Git: https://salsa.debian.org/debichem-team/apbs.git
Homepage: http://www.poissonboltzmann.org/

Package: apbs
Architecture: any
Depends: apbs-data (= ${source:Version}),
 libapbs3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Adaptive Poisson Boltzmann Solver
 APBS is a software package for the numerical solution of the
 Poisson-Boltzmann equation (PBE), one of the most popular continuum
 models for describing electrostatic interactions between molecular
 solutes in salty, aqueous media.  Continuum electrostatics plays an
 important role in several areas of biomolecular simulation, including:
 .
   * simulation of diffusional processes to determine ligand-protein and
     protein-protein binding kinetics,
   * implicit solvent molecular dynamics of biomolecules ,
   * solvation and binding energy calculations to determine
     ligand-protein and protein-protein equilibrium binding constants
     and aid in rational drug design,
   * and biomolecular titration studies.
 .
 APBS was designed to efficiently evaluate electrostatic properties for
 such simulations for a wide range of length scales to enable the
 investigation of molecules with tens to millions of atoms.
 .
 This package contains the apbs program and utilities.

Package: python3-apbslib
Section: python
Architecture: any
Depends: libapbs3 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Adaptive Poisson Boltzmann Solver
 APBS is a software package for the numerical solution of the
 Poisson-Boltzmann equation (PBE), one of the most popular continuum
 models for describing electrostatic interactions between molecular
 solutes in salty, aqueous media.
 .
 This package provides the apbslib module for Python3 enabling
 Python applications to access apbs.

Package: libapbs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libapbs3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Adaptive Poisson Boltzmann Solver
 APBS is a software package for the numerical solution of the
 Poisson-Boltzmann equation (PBE), one of the most popular continuum
 models for describing electrostatic interactions between molecular
 solutes in salty, aqueous media.
 .
 This package contains the development headers to build against
 libapbs_* shared libraries.

Package: libapbs3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Adaptive Poisson Boltzmann Solver
 APBS is a software package for the numerical solution of the
 Poisson-Boltzmann equation (PBE), one of the most popular continuum
 models for describing electrostatic interactions between molecular
 solutes in salty, aqueous media.
 .
 This package contains the libapbs_* shared libraries.

Package: apbs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: apbs (<= 1.4-2)
Description: data files for APBS (Adaptive Poisson Boltzmann Solver)
 APBS is a software package for the numerical solution of the
 Poisson-Boltzmann equation (PBE), one of the most popular continuum
 models for describing electrostatic interactions between molecular
 solutes in salty, aqueous media.
 .
 This package contains all data files for apbs package to reduce the 
 redundancy between architectures in Debian.
