=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
include /usr/share/mpi-default-dev/debian_defaults

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILDDIR := $(CURDIR)/obj-$(DEB_HOST_MULTIARCH)

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -fcommon
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure --sourcedir=apbs -- \
		-DCMAKE_BUILD_TYPE=None -DCMAKE_SKIP_RPATH=On \
		-DBUILD_DOC=Off -DBUILD_TOOLS=On \
		-DENABLE_OPENMP=On -DENABLE_MPI=On \
		-DENABLE_PYTHON=On -DBUILD_SHARED_LIBS=On \
		-DENABLE_READLINE=Off -DENABLE_ZLIB=On \
		-DFETK_PATH=/usr -DENABLE_FETK=Off

override_dh_auto_build:
	dh_auto_build --sourcedir=apbs

override_dh_auto_install:
	dh_auto_install --sourcedir=apbs --destdir=$(CURDIR)/debian/tmp/

override_dh_auto_clean:
	dh_auto_clean --sourcedir=apbs

override_dh_auto_test:
	-(cd apbs/tests; PATH=$(BUILDDIR)/bin:$${PATH} LD_LIBRARY_PATH=$(BUILDDIR)/lib:$${LD_LIBRARY_PATH} PYTHONPATH=$${PYTHONPATH}:$(CURDIR)/apbs/tools/manip python3 apbs_tester.py -c test_cases.cfg; rm -rf __pycache__)

override_dh_fixperms-indep:
	dh_fixperms
	for example in FKBP/1d7h-dmso/UHBD/pqr2qcd \
			ion-pmf/runme.sh \
			point-pmf/runme.sh \
			protein-rna/postprocess.sh \
			protein-rna/test.sh \
			helix/Run_membrane-helix.sh \
			protein-rna/run_apdx_files.sh; \
	do \
	  chmod +x debian/apbs-data/usr/share/apbs/examples/$${example}; \
	done
	for script in amber2charmm.sh \
			param/pdb2pqr/amber2uhbd.sh \
			qcd2pqr.awk; \
	do \
	  chmod a+x debian/apbs-data/usr/share/apbs/tools/conversion/$${script}; \
	done
