=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1, \
 filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apbs-$1.tar.gz%" \
 https://github.com/Electrostatics/apbs-pdb2pqr/tags \
 (?:.*?/)?vAPBS-(\d[\d.]*)\.tar\.gz debian uupdate
